/* Base
–––––––––––––––––––––––––––––––––––––––––––––––––– */
body {
	--color-text: rgb(26, 26, 26);
	--color-primary: rgb(229, 175, 40);
	/* --color-primary-test: rgb(241, 201, 98); */
	--color-primary-light: rgb(243, 186, 41);
	--color-primary-dark: rgb(140, 109, 29);
	--color-secondary: rgb(82, 2, 20);
	--color-highlight: rgb(0, 32, 96);
	--color-dark: rgb(12, 15, 34);
	--color-link: rgb(0, 112, 192);
	--color-blue: rgb(0, 112, 192);
	--color-dark-blue: rgb(0, 32, 96);
	--color-red: rgb(192, 0, 0);

	background-color: rgb(255, 255, 255);
	transition: background-color 0.5s ease;
}

.bg-dark {
	background-color: var(--color-dark);
	color: rgb(255, 255, 255);

	/* For buttons override the button colors */
	--color-primary: rgb(243, 186, 41);
	--color-primary-light: rgb(248, 195, 42);
}

figcaption {
	margin-top: 1rem;
	font-size: 0.833em;
	font-style: italic;
}


/* Animations
–––––––––––––––––––––––––––––––––––––––––––––––––– */
@keyframes loading {
	0% {
		background: #E5AF2822;
		box-shadow: 1.5rem 0 #E5AF2822, -1.5rem 0 #E5AF28;
	}
	33% {
		background: #E5AF28;
		box-shadow: 1.5rem 0 #E5AF2822, -1.5rem 0 #E5AF2822;
	}
	66% {
		background: #E5AF2822;
		box-shadow: 1.5rem 0 #E5AF28, -1.5rem 0 #E5AF2822;
	}
}

@keyframes toggleNav {
	100% {
		top: 0;
		opacity: 1;
		pointer-events: all;
	}
}

@keyframes fadeIn {
	100% {
		opacity: 1;
	}
}

@keyframes focusLoader2PanelFadeOut {
	90% {
		opacity: 1;
		display: flex;
	}
	99% {
		opacity: 0;
		display: flex;
	}
	100% {
		opacity: 0;
		display: none;
	}
}

@keyframes moveArrowLeft {
	20% {
		right: 0.2em;
	}
	100% {
		right: 0;
	}
}

@keyframes moveArrowRight {
	20% {
		left: 0.2em;
	}
	100% {
		left: 0;
	}
}


/* Loader
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.custom-loader {
	width: 0.75rem;
	height: 0.75rem;
	margin: 0 auto;
	background: #E5AF2822;
	border-radius: 50%;
	box-shadow: 1.5rem 0 #E5AF2822, -1.5rem 0 #E5AF28;
	animation: loading 1.5s infinite linear;
}

.focus-loader,
.focus-loader-2,
.image-question-loader {
	display: flex;
	justify-content: center;
	align-items: center;
	position: absolute;
	inset: 0;
	z-index: 20;
	background-color: rgb(255, 255, 255);
}

.focus-loader.is-hidden,
.focus-loader-2.is-hidden,
.image-question-loader.is-hidden,
.loader-ended .focus-loader,
.loader-ended .focus-loader-2,
.loader-ended .image-question-loader {
	display: none;
}

	.focus-loader::before {
		content: "\2715";
		font-size: 4rem;
		color: rgb(0, 0, 0, 30%);
	}

.focus-loader-2 > * {
	display: flex;
	justify-content: center;
	align-items: center;
	position: absolute;
	inset: 0;
	z-index: 0;
	padding: 2rem;
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	opacity: 1;
	font-size: 1.25rem;
	text-align: center;
}

.focus-loader-2 > :first-child {
	z-index: 3;
	background-image: url(../images/bg_focus1.jpg);
}

.focus-loader-2 > :nth-child(2) {
	z-index: 2;
	background-image: url(../images/bg_focus2.jpg);
}

.focus-loader-2 > :nth-child(3) {
	z-index: 1;
	background-image: url(../images/bg_focus3.jpg);
}

.screen.is-active .focus-loader-2 > * {
	animation-name: focusLoader2PanelFadeOut;
	animation-duration: 7s;
	animation-fill-mode: forwards;
	animation-timing-function: linear;
}

.screen.is-active .focus-loader-2 > :nth-child(2) {
	animation-delay: 7s;
}

.screen.is-active .focus-loader-2 > :nth-child(3) {
	animation-delay: 14s;
}


/* Buttons
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.btn {
	min-width: 8rem;
	display: inline-block;
	position: relative;
	margin-top: 0.222em;
	background-color: var(--color-primary-dark);
	border-radius: 0.4em;
	box-shadow: 0 0 10px rgb(0, 0, 0, 20%),
				0 2px 12px rgb(0, 0, 0, 10%);
	font-weight: 600;
	color: rgb(26, 26, 26);
	text-align: center;
	text-decoration: none;
} 

	.btn span {
		width: 100%;
		height: 100%;
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 0.5em;
		position: relative;
		top: -0.222em;
		padding: 0.5em 1em;
		background-color: var(--color-primary);
		border: 1px solid rgb(0, 0, 0, 40%);
		border-radius: 0.4em;
		color: rgb(26, 26, 26);
		transition: all ease 0.1s;
	}

		.btn span::before,
		.btn span::after {
			content: "\279E";
			display: inline;
			position: relative;
		}

		.btn span::before {
			display: none;
			right: 0;
			transform: rotate(180deg);
		}

		.btn span::after {
			left: 0;
		}

		.btn.prev span::before {
			display: inline;
		}

		.btn.prev span::after {
			display: none;
		}

.btn:hover {
	color: rgb(26, 26, 26);
}

	.btn:hover span,
	.btn:focus span {
		background-color: var(--color-primary-light);
	}

	.btn:hover span::before,
	.btn:focus span::before {
		animation: moveArrowLeft 1.5s ease infinite;
	}

	.btn:hover span::after,
	.btn:focus span::after {
		animation: moveArrowRight 1.5s ease infinite;
	}

	.btn:active span {
		top: 0;
	}

.btn.is-disabled {
	pointer-events: none;
	filter: saturate(0.1);
	color: #666;
}

/* 768px */
@media (max-width: 48em) {

	.btn {
		font-size: 0.875rem;
	}

}


/* Form fields
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.form-row {
	margin-top: 2rem;
}

textarea {
	width: 100%;
	height: 5rem;
	padding: 0.5rem;
	font: inherit;
	resize: none;
}

input[type=text] {
	width: 100%;
	padding: 0.5rem;
}

.input-other {
	display: none;
	margin-top: 0.5rem;
}

label:has(.show-input-other:checked) ~ .input-other {
	display: block;
}

label.block {
	display: block;
	margin-bottom: 1em;
	font-weight: bold;
}


/* Range slider
–––––––––––––––––––––––––––––––––––––––––––––––––– */
input[type=range] {
	--trackHeight: 0.75rem;
	--thumb: 2.5rem;

	width: 100%;
	margin: 10px 0;
	background-color: transparent;
	-webkit-appearance: none;

    /* Add 1cm (approx 38px) of transparent padding/border */
    padding-top: 1cm;
    padding-bottom: 1cm;
    margin-top: -1cm;
    margin-bottom: -1cm;
}

input[type=range]:focus {
	outline: none;
}

input[type=range]::-webkit-slider-runnable-track {
	width: 100%;
	height: var(--trackHeight);
	background: #0f0248;
	border: 0;
	cursor: pointer;
}

input[type=range]::-webkit-slider-thumb {
	width: var(--thumb);
	height: var(--thumb);
	/* margin-top: -10px; */
	/* Change -10px to -14px (or -0.875rem to stay in rems) */
    margin-top: -0.875rem;
	background: #e5af28;
	border: 1px solid rgba(0, 0, 0, 0.4);
	border-radius: var(--thumb);
	box-shadow: 0 0 10px rgb(0, 0, 0, 20%),
				0 2px 12px rgb(0, 0, 0, 10%);
	cursor: pointer;
	-webkit-appearance: none;

}

input[type=range]:focus::-webkit-slider-thumb {
	outline: auto;
}

input[type=range]:focus::-webkit-slider-runnable-track {
	background: #2505b0;
}

input[type=range]::-moz-range-track {
	width: 100%;
	height: var(--trackHeight);
	background: #0f0248;
	border: 0;
	cursor: pointer;
}

input[type=range]::-moz-range-thumb {
	width: var(--thumb);
	height: var(--thumb);
	background: #e5af28;
	border: 1px solid rgba(0, 0, 0, 0.4);
	border-radius: var(--thumb);
	box-shadow: 0 0 10px rgb(0, 0, 0, 20%),
				0 2px 12px rgb(0, 0, 0, 10%);
	cursor: pointer;
}

input[type=range]:focus::-moz-range-thumb {
	outline: auto;
}

input[type=range]::-ms-track {
	width: 100%;
	height: var(--trackHeight);
	background: transparent;
	border-color: transparent;
	border-width: 13px 0;
	color: transparent;
	cursor: pointer;
}

input[type=range]::-ms-fill-lower {
	background: #000000;
	border: 0;
	border-radius: var(--thumb);
}

input[type=range]::-ms-fill-upper {
	background: #0f0248;
	border: 0;
	border-radius: var(--thumb);
}

input[type=range]::-ms-thumb {
	width: var(--thumb);
	height: var(--thumb);
	margin-top: 0px;
	background: #e5af28;
	border: 1px solid rgba(0, 0, 0, 0.4);
	border-radius: var(--thumb);
	cursor: pointer;
}

input[type=range]:focus::-ms-thumb {
	outline: auto;
}

input[type=range]:focus::-ms-fill-lower {
	background: #0f0248;
}

input[type=range]:focus::-ms-fill-upper {
	background: #2505b0;
}

@supports (-ms-ime-align: auto) {

	input[type=range] {
		margin: 0;
	}

}

/* Making the red colored slider */
/* Red theme for Chrome, Safari, Edge, and Opera */
.red-theme input[type=range]::-webkit-slider-thumb {
    background: var(--color-red); /* Uses your existing red variable */
    border-color: rgba(0, 0, 0, 0.6); /* Slightly darker border for contrast */
}

/* Red theme for Firefox */
.red-theme input[type=range]::-moz-range-thumb {
    background: var(--color-red);
    border-color: rgba(0, 0, 0, 0.6);
}

.range-slider {
	width: 100%;
	padding-bottom: 1rem;
}

	.range-slider .labels {
		width: 100%;
		display: flex;
		justify-content: space-between;
		align-items: center;
		gap: 1rem;
		margin-bottom: 1rem;
		font-size: 1.25rem;
		font-weight: 600;
		text-align: center;
		line-height: 1.25;
	}

	.range-slider .labels span {
		flex: 1 1 0;
	}

	.range-slider .labels :first-child {
		text-align: left;
	}

	.range-slider .labels :last-child {
		text-align: right;
	}

	.range-slider .input {
		width: 100%;
		display: flex;
		align-items: center;
		position: relative;
		z-index: 1;
	}

		.range-slider .input::before,
		.range-slider .input::after {
			content: "";
			width: 2px;
			height: 2rem;
			position: absolute;
			top: 50%;
			z-index: -1;
			background-color: var(--color-highlight);
			transform: translateY(-50%);
			pointer-events: none;
		}

		.range-slider .input::before {
			left: 0;
		}

		.range-slider .input::after {
			right: 0;
		}

	.range-slider .ticks {
		width: 100%;
		display: flex;
		justify-content: space-between;
		padding: 0 1.25rem;
		margin: 0 auto;
		counter-reset: ticks -10;
	}

		.range-slider .ticks i {
			width: 2px;
			height: 0.75rem;
			position: relative;
			background-color: rgb(0, 0, 0, 30%);
			pointer-events: none;
			font-size: 0.833em;
			color: rgb(0, 0, 0, 60%);
			text-align: center;
		}

		.range-slider .ticks i::after {
			content: counter(ticks);
			counter-increment: ticks 10;
			position: absolute;
			top: 110%;
			left: 50%;
			font-style: normal;
			transform: translateX(-50%);
		}

figure.practice-slider {
	padding: 1.5rem;
	background-color: #fff;
	border-radius: 0.5rem;
	color: var(--color-text);
}

	:where(figure.practice-slider) .range-slider .labels {
		font-size: 1.1rem;
	}

/* 768px */
@media (max-width: 48em) {

	.range-slider .labels {
		font-size: 1.1rem;
	}

}

/* 480px */
@media (max-width: 30em) {

	.range-slider .labels {
		font-size: 0.875rem;
	}

}

/* tooltip slider */

/* Container for the hit-area expansion */
.range-slider .input {
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  /* This creates the 1cm clickable zone above/below */
  padding: 1cm 0; 
  margin: -1cm 0; 
  cursor: pointer;
}

/* Tooltip Styling */
.slider-tooltip {
  position: absolute;
  top: 0rem; /* Positions it nicely above the track */
  left: 50%;
  transform: translateX(-50%);
  background: #0f0248;
  color: #fff;
  padding: 5px 10px;
  border-radius: 4px;
  font-size: 0.9rem;
  font-weight: bold;
  pointer-events: none;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.15s ease-in-out;
  z-index: 10;
  white-space: nowrap;
}

/* Tooltip Tail */
.slider-tooltip::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #0f0248 transparent transparent transparent;
}

/* Show tooltip on hover of the container OR when clicking the slider */
.range-slider .input:hover .slider-tooltip,
.range-slider .input input:active + .slider-tooltip {
  opacity: 1;
  visibility: visible;
}

/* 1800px */
@media (max-width: 112.5em) {
	.slider-tooltip {
		top: 0rem;
	}
}


/* 1200px  1400px*/ 
@media (max-width: 90em) {
	.slider-tooltip  {
		top: 0.25rem;
	}
}

/* 900px */
@media (max-width: 56.25em) {
	.slider-tooltip  {
		top: 0.4rem;
	}
}

/* 768px */
@media (max-width: 48em) {

	.slider-tooltip  {
		top: 0.85rem;
	}

}

/* 480px */
@media (max-width: 30em) {

	.slider-tooltip  {
		top: 0.875rem;
	}

}

/* -------------- */


/* Radio buttons
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.radio-btns {
	display: flex;
	flex-direction: column;
	gap: 0.5rem;
	padding: 0;
	border: 0;
}

	.radio-btns label {
		display: grid;
		grid-template-columns: 1em auto;
		gap: 0.75em;
		cursor: pointer;
	}

input[type="radio"] {
	-webkit-appearance: none;
  	appearance: none;
	width: 1.15em;
	height: 1.15em;
	position: relative;
	margin-top: 0.15em;
	background-color: rgb(255, 255, 255);
	border: 0.15em solid var(--color-secondary);
	border-radius: 50%;
	font: inherit;
}

	input[type="radio"]::before {
		content: "";
		width: 0;
		height: 0;
		position: absolute;
		top: 50%;
		left: 50%;
		background-color: var(--color-secondary);
		border-radius: 50%;
		transform: translate(-50%, -50%);
		transform-origin: center;
		transition: all ease 0.12s;
	}

	input[type="radio"]:checked::before {
		width: 60%;
		height: 60%;
	}

input[type="checkbox"] {
	-webkit-appearance: none;
  	appearance: none;
	width: 1.15em;
	height: 1.15em;
	display: flex;
	position: relative;
	margin-top: 0.15em;
	background-color: rgb(255, 255, 255);
	border: 0.15em solid var(--color-secondary);
	font: inherit;
}

	input[type="checkbox"]::before {
		content: "";
		width: 0;
		height: 0;
		display: block;
		margin: auto;
		background-color: var(--color-secondary);
		transition: all ease 0.12s;
	}

	input[type="checkbox"]:checked::before {
		width: 60%;
		height: 60%;
	}

/* Weight/height section */
/* 1. Hide the inputs by default */
.inline-input {
    display: none;
    /* margin-left: 1rem; Space between the label text and the input */
    padding: 4px 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 0.9rem;
    outline: none;
    transition: border-color 0.3s;
}

/* 2. Show the input ONLY when the radio button is checked */
/* This looks for the checked radio, finds the span sibling, and then the input inside it */
input[type="radio"]:checked + span .inline-input {
    display: inline-block;
}

/* 3. Make the inputs look nicer */
.inline-input:focus {
    border-color: var(--color-secondary);
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

/* 4. Align the label content vertically */
.radio-btns label span {
    display: flex;
    align-items: center;
    flex-wrap: wrap; /* Allows ft/in to wrap on tiny screens */
    gap: 0.5rem;    /* Uniform spacing between text and multiple inputs */
}

/* Lists
–––––––––––––––––––––––––––––––––––––––––––––––––– */
ul, ol {
	padding-left: 1.5rem;
}

ul {
	list-style-type: "\27A2";
}

ul li {
	padding-left: 0.5em;
}

li + li {
	margin-top: 0.4em;
}


/* Structure
–––––––––––––––––––––––––––––––––––––––––––––––––– */
#page {
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;
}

main {
	flex-grow: 1;
}

[class*="wrapper"] {
	width: 80rem;
	max-width: 100%;
	padding-inline: 2rem;
	margin: 0 auto;
}

.wrapper-big {
	width: 100%;
	padding-inline: 0;
}

.wrapper-medium {
	width: 66rem;
}

.wrapper-narrow {
	width: 52rem;
}

.screen {
	width: 100%;
	height: 100%;
	display: none;
	position: relative;
	opacity: 0;
}

.screen.is-active {
	display: block;
	animation: fadeIn 0.5s 0.25s ease forwards;
}

	.screen .content {
		min-height: 100%;
		display: flex;
		flex-direction: column;
		justify-content: center;
		padding: 3rem 0;
	}

.w-aside {
	display: grid;
	grid-template-columns: 1fr 33%;
	align-items: center;
	gap: 2rem;
}

.img-banner {
	margin: 2rem 0 0;
}

/* Contrave publication section */

.main-container {
    display: flex;
    gap: 40px;            /* Space between the list side and the image side */
    align-items: flex-start;
}

.left-col {
    flex: 1;              /* Takes up proportional space */
}

.right-col {
    flex: 1;              /* Adjust this to change the width of the image side */
    display: flex;
    flex-direction: column; 
    gap: 20px;            /* Vertical space between the two images */
}

/* Ensure images don't overflow their container */
.graph-item img {
    width: 100%;
    max-width: 400px;     /* Keeps images at a consistent size */
    height: auto;
    display: block;
}

.graph-desc {
    margin-top: 10px;
    font-size: 0.9rem;
    color: #555;
    line-height: 1.4;
}

.analysis-list {
    padding-left: 20px;
    margin-top: 15px;
}

/* ---------- */

/* Results */

.result-title {
	text-align: center;
}

.result-subtitle {
	margin-bottom: 0.5rem;
}

.dual-list-container {
    display: flex;
    gap: 50px;           /* Adjust the horizontal gap between lists */
    align-items: flex-start; 
    margin: 20px 0;

	/* tom modifications */
	margin-left: 40px;
    margin-right: 40px;
    font-size: 14px;
}

.dual-list-container ul {
	list-style: circle;
}

.example-text {
	font-size: 13px;
}

.list-column {
    flex: 1; 
	/* font-size: x-small;             */
}

.list-column h3 {
    margin-bottom: 10px;
}

.list-column ul {
    padding-left: 20px;  /* Space for the bullets */
}

.graph {
	justify-self: center;
}

/* For mobile: Stack the lists on top of each other */
@media (max-width: 600px) {
    .dual-list-container {
        flex-direction: column;
        gap: 20px;
    }
}

/* ------- */

/* Download PDF CSS */

/* Ensure the scale container has a width for the PDF generator to calculate positions */
.scale-container {
    width: 100%;
    min-height: 50px;
    position: relative;
    /* background-color: #f0f0f0; Ensure the bar background shows */
}

.indicator {
    width: 2px;
    height: 100%;
    background: red;
    position: absolute;
    z-index: 10;
}

/* ----------- */

.content-wrap {
    display: flex;
    align-items: flex-start; /* Aligns text to the top of the image */
    gap: 25px;               /* Space between image and dummy text */
    margin-top: 20px;
}

figure {
    margin: 0;               /* Removes default browser spacing */
    flex-shrink: 0;          /* Prevents the image from shrinking */
}

.side-text {
    line-height: 1.6;        /* Makes the dummy text easier to read */
    /* color: var(--color-text); */
}

/* Responsive: Stack them on top of each other on small screens */
@media (max-width: 768px) {
    .content-wrap {
        flex-direction: column;
    }
}

/* 768px */
@media (max-width: 48em) {

	.screen .content {
		padding: 3rem 0;
	}

}

/* 600px */
@media (max-width: 37.5em) {

	[class*="wrapper"] {
		padding-inline: 1.5rem;
	}

}


/* FAQ 
---------------------------------------- */

.faq-container {
	background: #f5f5f5;
	border-radius: 8px;
	box-shadow: 0 2px 10px rgba(0,0,0,0.05);
	overflow: hidden;
}

.faq-item {
	border-bottom: 1px solid var(--border-color);
}

.faq-item:last-child {
	border-bottom: none;
}

/* The clickable header */
.faq-question {
	width: 100%;
	padding: 20px;
	display: flex;
	justify-content: space-between;
	align-items: center;
	cursor: pointer;
	background: none;
	border: none;
	text-align: left;
	font-size: 1.1rem;
	font-weight: 600;
	color: var(--primary-color);
	transition: background 0.3s ease;
}

.faq-question:hover {
	background-color: #e8e8e8;
}

/* The +/- Icon */
.icon {
	position: relative;
	width: 18px;
	height: 18px;
}

.icon::before, .icon::after {
	content: '';
	position: absolute;
	background-color: var(--color-blue);
	/* background-color: var(--accent-color); */
	/*transition: transform 0.3s ease;*/
}

/* Horizontal line of the plus */
.icon::before {
	width: 100%;
	height: 2px;
	top: 50%;
	transform: translateY(-50%);
}

/* Vertical line of the plus */
.icon::after {
	width: 2px;
	height: 100%;
	left: 50%;
	transform: translateX(-50%);
}

/* If item is active, rotate vertical line to hide it (making it a minus) */
.faq-item.active .icon::after {
	transform: translateX(-50%) rotate(90deg);
	opacity: 0;
}

/* The Answer Panel */
.faq-answer {
	max-height: 0;
	overflow: hidden;
	transition: max-height 0.3s ease-out, padding 0.3s ease;
	background-color: #fff;
}

.faq-answer-content {
	padding: 0 20px 20px 20px;
	color: #555;
}

.faq-answer-content ul {
	list-style: circle;
}

.faq-item.active .faq-answer {
	max-height: 500px; /* Adjust based on content length */
}


/* Header
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.header {
	width: 100%;
	display: grid;
	grid-template-columns: 1fr auto 1fr;
	align-items: center;
	gap: 1rem;
	flex: 0 0 auto;
	padding: 0.5rem max(2vw, 1.5rem);
	border-bottom: 1px solid rgb(202, 202, 202);
}

	.header .title {
		font-size: clamp(0.75rem, 1vw, 1rem);
		font-weight: 600;
	}

		.header .title span {
			display: inline-block;
		}

	.header .logo {
		width: clamp(2.25rem, 4vw, 4.444rem);
	}

	/* #header .btn-nav-open {
		width: 1.7778rem;
		height: 1.7778rem;
		position: relative;
		float: right;
		background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='currentColor'%3E%3Cpath d='M3 4H21V6H3V4ZM3 11H21V13H3V11ZM3 18H21V20H3V18Z'%3E%3C/path%3E%3C/svg%3E") center / cover no-repeat;
	} */


/* Footer
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.footer {
	width: 100%;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 1rem;
	margin-top: 3rem;
	text-align: center;
}

.result-buttons {
	position: fixed;
	bottom: 10px;
}


/* Nav
–––––––––––––––––––––––––––––––––––––––––––––––––– */
/* #nav {
	width: 100%;
	height: 100%;
	display: none;
	position: absolute;
	top: -100%;
	left: 0;
	z-index: 2;
	padding: 3rem 0;
	background-color: rgb(223, 232, 239);
	opacity: 0;
	overflow-y: auto;
	pointer-events: none;
}

	#nav .btn-nav-close {
		width: 1.7778rem;
		height: 1.7778rem;
		position: absolute;
		top: max(2vw, 1.5rem);
		right: max(2vw, 1.5rem);
		background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='currentColor'%3E%3Cpath d='M10.5859 12L2.79297 4.20706L4.20718 2.79285L12.0001 10.5857L19.793 2.79285L21.2072 4.20706L13.4143 12L21.2072 19.7928L19.793 21.2071L12.0001 13.4142L4.20718 21.2071L2.79297 19.7928L10.5859 12Z'%3E%3C/path%3E%3C/svg%3E") center / cover no-repeat;
	}

	#nav .btn-fullscreen {
		height: 1.7778rem;
		display: flex;
		align-items: center;
		gap: 0.25em;
		position: absolute;
		top: max(2vw, 1.5rem);
		left: max(2vw, 1.5rem);
		padding: 0;
		background: transparent;
		border: 0;
		cursor: pointer;
	}

		#nav .btn-fullscreen::before {
			content: "";
			width: 1.7778rem;
			height: 100%;
			display: inline-block;
			background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='currentColor'%3E%3Cpath d='M8 3V5H4V9H2V3H8ZM2 21V15H4V19H8V21H2ZM22 21H16V19H20V15H22V21ZM22 9H20V5H16V3H22V9Z'%3E%3C/path%3E%3C/svg%3E") left center / contain no-repeat transparent;
			transform: scale(1);
			transition: transform ease 0.2s;
		}

		#nav .btn-fullscreen.is-fullscreen::before {
			background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='currentColor'%3E%3Cpath d='M18 7H22V9H16V3H18V7ZM8 9H2V7H6V3H8V9ZM18 17V21H16V15H22V17H18ZM8 15V21H6V17H2V15H8Z'%3E%3C/path%3E%3C/svg%3E");
		}

		#nav .btn-fullscreen:hover::before,
		#nav .btn-fullscreen:focus::before {
			transform: scale(1.15);
		}

		#nav .btn-fullscreen.is-fullscreen:hover::before,
		#nav .btn-fullscreen.is-fullscreen:focus::before {
			transform: scale(0.85);
		}

	#nav .wrapper {
		min-height: 100%;
		display: flex;
		flex-wrap: wrap;
		justify-content: center;
		align-items: center;
	}

		#nav .wrapper > * {
			width: 100%;
		}

	#nav h2 {
		margin: 0 0 2rem;
		text-align: center;
	}

	#nav .grid {
		width: 100%;
		display: grid;
		grid-template-columns: repeat(7, 1fr);
		gap: 0.5rem;
		text-align: center;
	}

		#nav .grid > * {
			display: block;
			padding: 1rem;
			background-color: rgb(255, 255, 255);
			border: 1px solid rgb(204, 204, 204);
			border-radius: 0.4em;
		}

		#nav .grid a {
			color: rgb(26, 26, 26);
			text-decoration: none;
		}

		#nav .grid a:hover {
			border-color: var(--color-highlight);
		}

		#nav .grid a.is-disabled {
			background-color: rgb(0, 0, 0, 5%);
			pointer-events: none;
			color: rgb(153, 153, 153);
		}

		#nav .grid a.is-active {
			border-color: var(--color-highlight);
			border-width: 2px;
			font-weight: bold;
		}

.nav-visible {
	overflow: hidden;
}

	.nav-visible #nav {
		display: block;
		animation: toggleNav 0.5s ease forwards;
	} */

/* 600px */
/* @media (max-width: 37.5em) {

	#nav .grid {
		grid-template-columns: repeat(4, 1fr);
	}

} */


/* Splash screen
–––––––––––––––––––––––––––––––––––––––––––––––––– */
#splash {
	justify-content: center;
	align-items: center;
	padding: 3rem 0;
	text-align: center;
}

.flex-container {
    display: flex;
    gap: 10%; /* Space between the two columns */
    align-items: flex-start;
	justify-content: center;
	margin-top: 1.5rem;
}

.btn-group {
	display: flex;
	flex-direction: column;
	align-items: flex-start; /* Aligns list to the left edge of the button */
}

.sub-list {
	padding-left: 0px;
    margin-top: 10px;
	margin-left: 25px;
    list-style: circle;
    text-align: left;
}

#splash.is-active {
	display: flex;
}

	#splash div {
		position: relative;
	}

	#splash .wrapper {
		display: flex;
		flex-direction: column;
		gap: 1.5rem;
	}

	#splash .h1,
	#splash .h2 {
		margin: 0;
	}

	#splash .h2 {
		width: 30rem;
		max-width: 100%;
		margin: 0 auto;
		text-align: center;
	}

	#splash .title {
		display: flex;
		justify-content: center;
		align-items: end;
	}

	#splash .logo {
		width: 10rem;
		margin: 0 auto;
	}

	#splash .btn-open-app {
		position: absolute;
		right: 0;
		left: 0;
	}

		#splash .btn-open-app a {
			font-weight: 600;
			color: #fff;
			text-decoration: none;
		}

	#splash .btns {
		display: flex;
		justify-content: center;
		gap: 1rem;
		margin-top: 1.5rem;
	}

	#splash .custom-loader {
		margin-top: 0.25rem;
	}

	#splash.is-loaded .load-show,
	#splash.is-app-open .app-open-show {
		display: block;
	}

	#splash .load-show,
	#splash .app-open-show,
	#splash.is-app-open .app-open-hide {
		display: none;
	}

	#splash.is-loaded .load-hide {
		display: none;
	}


/* Questionnaire
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.are-you-ready {
	justify-content: center;
	align-items: center;
	padding: 3rem 0;
	text-align: center;
}

.questions-form {
	width: 100%;
	height: 100%;
	display: none;
}

.questions-form:has(.screen.is-active) {
	display: block;
}

.question {
	padding: 0;
}

	.question [class*="wrapper"] {
		height: 100%;
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		gap: 1.5rem;
		padding-block: 1.5rem;
	}

	.question .instructions,
	.question .title {
		flex: 0 0 auto;
		text-align: center;
	}

	.question .title {
		display: flex;
		justify-content: center;
		align-items: center;
		position: absolute;
		inset: 0;
		z-index: 10;
		padding: 1.5rem;
		background-color: #fff;
	}

	.question.loader-ended .title {
		display: block;
		position: static;
		padding: 0;
		background-color: transparent;
	}

		.question .title h2 {
			margin: 0;
		}

		.question:not(.loader-ended) .title h2 {
			font-size: 2rem;
		}

	.question .question-info {
		width: 100%;
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		flex: 1 1 auto;
	}

	.question .footer {
		flex: 0 0 auto;
		margin: 0;
	}

	.question .flex-image {
		width: 100%;
		height: 100%;
		display: flex;
		align-items: stretch;
	}

		.question .flex-image > * {
			display: flex;
			flex: 1;
			align-items: center;
		}

		.question .flex-image > :last-child {
			width: 40%;
			min-width: 15rem;
			justify-content: center;
			padding: 0 1.5rem;
		}

		.question .flex-image img {
			max-height: 80vh;
			margin: 0 auto;
		}

		.question .flex-image .footer {
			margin-top: 1.5rem;
		}

	:where(.question) .full-page {
		height: 100%;
		display: flex;
		justify-content: center;
		align-items: center;
	}

	.question .full-page [class*="wrapper"] {
		padding: 0;
	}

	.question .full-page .flex-image {
		flex-direction: column;
	}

	.question .full-page .img {
		width: 100%;
		flex: 1 1 auto;
		padding: 0;
		overflow: hidden;
	}

		.question .full-page .img img {
			width: 100%;
			max-width: none;
			height: 100%;
			max-height: none;
			object-fit: cover;
		}

	.question .full-page .text {
		width: 100%;
		display: block;
		flex: 0 0 auto;
		padding: 1.5rem;
	}

	.question .full-page .text p {
		margin: 0;
	}

	.question .full-page .footer {
		margin: 0;
	}

	.question .image-map {
		width: 100%;
		max-height: 100%;
		display: flex;
		align-items: stretch;
		position: relative;
		overflow: hidden;
	}

		.question .image-map .image-map-img {
			/* width: 100%; */
			width: 100%;
			padding-left: 20%;
			padding-right: 20%;
		}

		.question .image-map img {
			max-height: 80vh;
			margin: 0 auto;
		}

		.question .image-map .map-input {
			-webkit-appearance: none;
			appearance: none;
			position: absolute;
			z-index: 1;
			margin: 0;
			cursor: pointer;
		}

		.question .image-map .map-input:hover,
		.question .image-map .map-input:focus {
			z-index: 2;
			outline: none;
		}

/* 480px */
@media (max-width: 30em) {

	/* .question .flex-image {
		flex-direction: column;
	} */

}


/* Image map - Treats */

#map-treats .treat-image-map {
	width: 100%;
	padding-left: 20%;
	padding-right: 20%;
}

#map-treats .map-input {
	/* width: 14.5%; */
	width: 10.5%;
	height: auto;
	aspect-ratio: 1;
	background-color: transparent;
	border: 0;
	border-radius: 50%;
	opacity: 0;
}

#map-treats .map-input::before {
	display: none;
}

#map-treats .map-input:checked {
	box-shadow: 0 0 0 3000px rgb(0, 0, 0, 30%);
	opacity: 1;
	filter: blur(0.5rem);
}

	#map-treats .map-input:nth-of-type(1) {
		/* top: 6%;
		left: 14.5%; */
		top: 4%;
		left: 27.75%
	}

	#map-treats .map-input:nth-of-type(2) {
		/* top: 5%;
		left: 30.5%; */
		top: 4%;
		left: 37.25%;
	}

	#map-treats .map-input:nth-of-type(3) {
		/* top: 5%;
		left: 44.75%; */
		top: 4%;
		left: 45.75%;
	}

	#map-treats .map-input:nth-of-type(4) {
		/* top: 6.5%;
		left: 60%; */
		top: 5.5%;
		left: 55%;
	}

	#map-treats .map-input:nth-of-type(5) {
		/* top: 6.5%;
		left: 75%; */
		top: 5.5%;
		left: 64%;
	}

	#map-treats .map-input:nth-of-type(6) {
		/* top: 28.5%;
		left: 14.5%; */
		top: 27.5%;
		left: 28%;
	}

	#map-treats .map-input:nth-of-type(7) {
		/* top: 27%;
		left: 29.5%; */
		top: 25.5%;
		left: 36.5%;
	}

	#map-treats .map-input:nth-of-type(8) {
		/* top: 27%;
		left: 44%; */
		top: 25.5%;
		left: 45.5%;
	}

	#map-treats .map-input:nth-of-type(9) {
		/* top: 29%;
		left: 75%; */
		top: 27%;
		left: 64%;
	}

	#map-treats .map-input:nth-of-type(10) {
		/* top: 50.5%;
		left: 15%; */
		top: 48.5%;
    	left: 28.5%;
	}

	#map-treats .map-input:nth-of-type(11) {
		/* top: 49%;
		left: 29.25%; */
		top: 48%;
    	left: 36.25%;
	}

	#map-treats .map-input:nth-of-type(12) {
		/* top: 48.5%;
		left: 59.25%; */
		top: 46.5%;
    	left: 55%;
	}

	#map-treats .map-input:nth-of-type(13) {
		/* top: 50.5%;
		left: 74%; */
		top: 49.5%;
    	left: 63.25%;
	}

	#map-treats .map-input:nth-of-type(14) {
		/* top: 72%;
		left: 15%; */
		top: 70%;
    	left: 28.5%;
	}

	#map-treats .map-input:nth-of-type(15) {
		/* top: 72%;
		left: 29.75%; */
		top: 70.25%;
    	left: 36.75%;
	}

	#map-treats .map-input:nth-of-type(16) {
		/* top: 70%;
		left: 44.5%; */
		top: 68.5%;
    	left: 45.5%;
	}

	#map-treats .map-input:nth-of-type(17) {
		/* top: 70.5%;
		left: 59.5%; */
		top: 69.5%;
    	left: 54.5%;
	}

	#map-treats .map-input:nth-of-type(18) {
		/* top: 72.25%;
		left: 74.25%; */
		top: 69.25%;
    	left: 63.5%;
	}


/* Utility
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.grid {
	--cols: 1;

	display: grid;
	grid-template-columns: repeat(var(--cols), minmax(0, 1fr));
	gap: 1.5rem;
}

.articles {
	font-size: 0.833rem;
}

	.articles article > * + * {
		margin-top: 0.5em;
	}

	.articles figure {
		width: 100%;
		aspect-ratio: 4/3;
		margin-bottom: 1em;
	}

		.articles figure img {
			width: 100%;
			height: 100%;
			object-fit: cover;
		}

	.articles .title {
		font-size: 1.1em;
		font-weight: bold;
	}

.margin-top-1 {
	margin-top: 1rem;
}


/* Media Queries
–––––––––––––––––––––––––––––––––––––––––––––––––– */

/* 1800px */
@media (max-width: 112.5em) {}


/* 1200px */
@media (max-width: 75em) {}


/* 900px */
@media (max-width: 56.25em) {}


/* 768px */
@media (max-width: 48em) {}


/* 600px */
@media (max-width: 37.5em) {}